#pragma once

#include "common.h"

#include "quam/archive.h"
#include "quam/ui_project.h"

#include <QMainWindow>
#include <QMdiSubWindow>
#include <QWidget>

class QAbstractItemModel;
class QErrorMessage;
class QSortFilterProxyModel;

class Project : public QMdiSubWindow, private Ui::Project {
	Q_OBJECT

public:
	explicit Project(std::istream &st, QErrorMessage *errors, QMdiArea *parent);
	virtual ~Project();

private slots:
	void dirChanged(Arc::Dir *from, Arc::Dir *to);

private:
	Arc::Arc              *m_arc;
	Arc::Dir              *m_root, *m_lastDir;
	QErrorMessage         *m_errors;
	Arc::Model            *m_model;
	QSortFilterProxyModel *m_sorter;
};

// EOF
